- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Organization Management
- /
- Get Department Direct Member ID List
¶ Get the ID list of department members directly under the department
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get the ID list of department members directly under the department through organization code and department ID.
¶ Method name
ManagementClient.list_department_member_ids
¶ Request parameters
| Name | Type | Is it required? | Default value | Description | Sample value |
|---|---|---|---|---|---|
| organizationCode | string | yes | - | Organization code | steamory |
| departmentId | string | yes | - | Department ID, root department passed root | root |
| departmentIdType | string | no | department_id | Type of department ID used in this call | department_id |
| tenantId | string | no | - | Tenant ID | 623c20b2a062aaaaf41b17da |
¶ Request Response
Type: UserIdListRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | array | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}
